# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXRotateX, DXRotateY, DXRotateZ, DXScale, DXTranslate, DXMat

Function

Manipulate Transform matrices.

Syntax
`
#include <dx/dx.h>
`

Matrix DXRotateX(Angle angle)
Matrix DXRotateY(Angle angle)
Matrix DXRotateZ(Angle angle)
Matrix DXScale(double x, double y, double z)
Matrix DXTranslate(Vector v)
Matrix DXMat(double a, double b, double c,
double d, double e, double f,
double g, double h, double i,
double j, double k, double l)

Functional Details

Manipulate Transform matrices. `DXRotateX, DXRotateY,` and `DXRotateZ` return a Matrix that specifies a rotation about the x, y, or z axis by angle `angle` in radians.

`DXScale` returns a Matrix that specifies a scaling by amounts `x`, `y`, and `z` along the x, y, and z axes.

`DXTranslate` returns a Matrix that specifies a translation by `v`.

`DXMat` returns a Matrix with the specified components.

A `Matrix` is defined as follows:
`
typedef struct matrix {
/* xA + b */
float A[3][3];
float b[3];
} Matrix;
`

An `Angle` is in radians and is defined as follows:
`
typedef double Angle;
`

Return Value

Returns the resulting Matrix.

See Also

`DXConcatenate, DXInvert, DXTranspose, DXAdjointTranspose, DXDeterminant, DXApply, DXApplyTransform, DXNewXform`

"Transformation Matrices".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]